import req from '../request';

export default {
  examlistShow: (data: any) => {
    return req({
      url: '/exam/examlist_show',
      method: 'get',
      data: data
    });
  },

  studentRanking: (data: any) => {
    return req({
      url: '/schpanel/student_rank_list',
      method: 'get',
      data: data
    });
  },

  sunshineRunRanking: (data: any) => {
    let ip = localStorage.getItem('ip');
    let url = `http://${ip}`
    return req({
      baseURL:ip?url:import.meta.env.VITE_APP_BASE_API,
      url: '/v2/sunlight/rankdata/list',
      method: 'get',
      data: data,
    });
  }
};
